#ifndef TCPSOCKET_H_
#define TCPSOCKET_H_

#ifdef WIN32
#   include <winsock.h>
#else
#   include <netinet/in.h>
#   include <arpa/inet.h>
#endif

class TCPSocket {

private:

#ifdef WIN32
	SOCKET socketFileDescriptor;
#else
	int socketFileDescriptor;
#endif

	bool socketCreated;
	bool socketConnected;
	bool socketSend;
	bool socketReceive;

public:
	TCPSocket();

	void connect(sockaddr_in * server);
	bool send(char *msg);
	bool receive(char *msg);
	void close();
};

#endif /*TCPSOCKET_H_*/
